import request from '@/utils/axios.ts';

// --------- 出仓管理 -----------
// 出仓 - 列表
export function warehouseOutList(data) {
    return request({
        url: '/warehouseOut/list',
        method: 'POST',
        data,
    });
}

// 出仓 - 新增
export function warehouseOutAdd(data) {
    return request({
        url: '/warehouseOut/add',
        method: 'POST',
        data,
    });
}

// 出仓 - 编辑
export function warehouseOutEdit(data) {
    return request({
        url: '/warehouseOut/edit',
        method: 'POST',
        data,
    });
}

// 出仓 - 删除
export function warehouseOutDel(id) {
    return request({
        url: `/warehouseOut/delete?id=${id}`,
        method: 'GET',
    });
}

// 出仓 - 详情
export function warehouseOutDetail(id) {
    return request({
        url: `/warehouseOut/detail?id=${id}`,
        method: 'GET',
    });
}

